Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.taglib.util
Class DateTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--com.bea.p13n.taglib.util.DateTag

public class DateTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Defines scripting variables to be used with the `date` tag.

See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `DEFAULT_FORMAT_STR`
`protected static java.text.SimpleDateFormat` | `DEFAULT_FORMATTER`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`DateTag()`

Method Summary
`int` | `doAfterBody()` Pushes output to the JSP page from the buffered `BodyContent`.
`int` | `doStartTag()` Do start tag.
`java.lang.String` | `getFormatStr()` Get format str.
`java.lang.String` | `getTimezoneId()` Get timezone id.
`void` | `release()` Release.
`void` | `setFormatStr(java.lang.String aString)` Set format str.
`void` | `setTimezoneId(java.lang.String aString)` Set timezone id.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FORMAT_STR

    protected static final java.lang.String DEFAULT_FORMAT_STR

### DEFAULT_FORMATTER

    protected static final java.text.SimpleDateFormat DEFAULT_FORMATTER

Constructor Detail

### DateTag

    public DateTag()

Method Detail

### getTimezoneId

    public java.lang.String getTimezoneId()

  Get timezone id.

  Returns:
    `String`

### setTimezoneId

    public void setTimezoneId(java.lang.String aString)

  Set timezone id.

  Parameters:
    `aString` -

### getFormatStr

    public java.lang.String getFormatStr()

  Get format str.

  Returns:
    `String`

### setFormatStr

    public void setFormatStr(java.lang.String aString)

  Set format str.

  Parameters:
    `aString` -

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Do start tag.

  Returns:
    `int`
  Throws:
    `javax.servlet.jsp.JspException` -
  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Pushes output to the JSP page from the buffered `BodyContent`.

  Returns:
    a value telling the JSP engine we are done evaluating the body and no more iterations are necessary.
  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

### release

    public void release()

  Release.

  Overrides:
    release in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved